Name: sysstat
Version: 4.0.7
Release: 3
Summary: The sar and iostat system monitoring commands.
License: GPL
Group: Applications/System
URL: http://perso.wanadoo.fr/sebastien.godard/
Source: http://perso.wanadoo.fr/sebastien.godard/%{name}-%{version}.tar.bz2
Source1: sysstat.crond
Source2: sysstat.crondaily
Patch0: sysstat-4.0.1-config.patch
Patch1: sysstat-4.0.1-prevday.patch
Patch2: sysstat-3.3.5-fixutilization.patch
Patch3: sysstat-4.0.1-verbose.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: kernel >= 2.2.16-21
Prereq: sh-utils textutils grep fileutils /etc/cron.d

%description
This package provides the sar and iostat commands for Linux. Sar and
iostat enable system monitoring of disk, network, and other IO
activity.

%prep
%setup -q
%patch0 -p1 -b .config
#patch1 -p1 -b .prevday
#patch2 -p1 -b .fixutilization
%patch3 -p1 -b .verbose

%build
# FIXME: I need to fix the upstream Makefile to use LIBDIR et al. properly and
# send the upstream maintainer a patch.
make CFLAGS="$RPM_OPT_FLAGS" PREFIX=%{_prefix} LIB_DIR=%{_libdir} MAN_DIR=%{_mandir} DATA_DIR=%{_datadir} DOC_DIR=%{_docdir}

%install
rm -rf %{buildroot}

%makeinstall PREFIX=%{_prefix} LIB_DIR=%{_libdir} MAN_DIR=%{_mandir} DATA_DIR=%{_datadir} DOC_DIR=%{_docdir}
#make install MAN_DIR=%{_mandir}

mkdir -p %{buildroot}/etc/{cron.daily,cron.d}

%ifarch x86_64 ppc64 s390x
perl -pi -e "s|/lib|/lib64|g" %{SOURCE1}
%endif

install %{SOURCE1} %{buildroot}/etc/cron.d/sysstat
#install %{SOURCE2} %{buildroot}/etc/cron.daily/sysstat

# sysstat makefiles install the docs in the wrong place, blow them away
rm -f %{buildroot}/usr/share/doc/*

%find_lang %{name}

#FIXME: Make sure this trigger is actually correct and relevant still.
%triggerpostun -- sysstat <= 3.3.3-1
# earlier versions of sysstat had crontabs done in a bad way.  fix it.
if [ `id -u` = "0" -a "$1" -ge "2" ]; then
  egrep -v 'sysstat|sa1|sa2' /etc/crontab > /tmp/crontab.$$
  mv /tmp/crontab.$$ /etc/crontab && chmod 644 /etc/crontab
fi

%preun
if [ "$1" = 0 ]; then
  # Remove sa logs if removing sysstat completely
  rm -f /var/log/sa/*
fi

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS README TODO
%config(noreplace) /etc/cron.d/sysstat
#config(noreplace) /etc/cron.daily/sysstat
%{_bindir}/*
%{_libdir}/sa
%{_mandir}/man1/*
%{_mandir}/man8/*
/var/log/sa

%changelog
* Wed Feb 19 2003 Bill Nottingham <notting@redhat.com> 4.0.7-3
- fix paths on multilib arches (#82913)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sat Nov 23 2002 Mike A. Harris <mharris@redhat.com> 4.0.7-1
- Updated to new upstream version 4.0.7

* Tue Nov 19 2002 Mike A. Harris <mharris@redhat.com> 4.0.5-7
- Fixed files installed in /usr/doc to be put in correct place

* Tue Oct  8 2002 Mike A. Harris <mharris@redhat.com> 4.0.5-6
- All-arch rebuild

* Tue Jul 23 2002 Trond Eivind Glomsrd <teg@redhat.com> 4.0.5-3
- Rebuild

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 17 2002 Trond Eivind Glomsrd <teg@redhat.com> 4.0.5-1
- 4.0.5-1
- isag is no longer installed by default upstream, removing
  requirement on gnuplot

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Apr 22 2002 Trond Eivind Glomsrd <teg@redhat.com> 4.0.4-1
- 4.0.4
- Add an explicit requires on gnuplot (#63474)

* Fri Apr 12 2002 Trond Eivind Glomsrd <teg@redhat.com> 4.0.3-2
- Do the daily sa2 run just before midnight, not at 4AM... you'd 
  only get 4 hours worth of data that way (#63132)

* Thu Feb 28 2002 Trond Eivind Glomsrd <teg@redhat.com> 4.0.3-1
- 4.0.3

* Wed Feb 27 2002 Trond Eivind Glomsrd <teg@redhat.com> 4.0.2-3
- Rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Dec 12 2001 Trond Eivind Glomsrd <teg@redhat.com> 4.0.2-1
- 4.0.2
- the kernel patch for extended statistics is in, don't say it needs
  applying in the man page

* Mon Aug 13 2001 Preston Brown <pbrown@redhat.com>
- be more verbose about which files are corrupt (#47122)

* Mon Jul  2 2001 Preston Brown <pbrown@redhat.com>
- run sa1 from cron.d to fix run-parts interaction problem (#37733)

* Fri Jun 29 2001 Preston Brown <pbrown@redhat.com>
- upgrade to 4.0.1 stable release

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Sun Apr  8 2001 Preston Brown <pbrown@redhat.com>
- explicitly set safe umask (#35142)

* Fri Mar  9 2001 Preston Brown <pbrown@redhat.com>
- iostat disk utilization was off by a factor of 10.

* Wed Feb 14 2001 Preston Brown <pbrown@redhat.com>
- 3.3.5 brings us full support for kernel IO stats

* Tue Jan 30 2001 Preston Brown <pbrown@redhat.com>
- Summarize previous day's activity with sa2, not current day (which is only 4 hours of data when it gets run) (#24820)
- upgrade to 3.3.4 for full 2.4 compatibility and improved iostat

* Tue Jan 17 2001 Preston Brown <pbrown@redhat.com>
- iostat man page fixes

* Fri Jan 05 2001 Preston Brown <pbrown@redhat.com>
- 3.3.3, crontab fixes

* Fri Dec 29 2000 Bill Nottingham <notting@redhat.com>
- fix prereqs

* Fri Oct 13 2000 Preston Brown <pbrown@redhat.com>
- crontab entry was still incorrect.  Fixed.

* Mon Oct 09 2000 Preston Brown <pbrown@redhat.com>
- make sure disk accounting is enabled to fix iostat -l, -p (#16268)
- crontab entries were missing the user (root) to run as (#18212)

* Tue Aug 22 2000 Preston Brown <pbrown@redhat.com>
- enable IO accounting now that kernel supports it

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix buildrooting (#16271)

* Tue Aug 08 2000 Preston Brown <pbrown@redhat.com>
- bugfixes in 3.2.4 cause our inclusion. :)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Preston Brown <pbrown@redhat.com>
- 3.2.3 fixes SMP race condition

* Tue Jun 20 2000 Preston Brown <pbrown@redhat.com>
- FHS macros
- 3.2.2

* Fri May 26 2000 Preston Brown <pbrown@redhat.com>
- packaged for Winston
- change va patch to indicate kernel is not patched for iostat accounting.
  re-enable if our stock kernel gets this patch.
- upgrade to 3.2.
- install crontab entry.

* Sun Dec 12 1999  Ian Macdonald <ian@caliban.org>
- upgraded to 2.2

* Fri Oct 29 1999  Ian Macdonald <ian@caliban.org>
- first RPM release (2.1)
